Bug 237935

Summary: [exp-run] Refactoring headers
Product: Ports & Packages Reporter: Conrad Meyer <cem>
Component: Ports FrameworkAssignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Only Me CC: ports-bugs
Priority: --- Keywords: needs-qa
Version: LatestFlags: cem: exp-run?
Hardware: Any   
OS: Any   
See Also: https://reviews.freebsd.org/D20329
https://reviews.freebsd.org/D20341
https://reviews.freebsd.org/D20350
Bug Depends on: 238010    
Bug Blocks:    

Description Conrad Meyer freebsd_committer 2019-05-17 04:52:38 UTC
Requesting an exp-run for a cleanup of kernel header pollution.  Full base tinderbox is clean.

Patch is available here: https://people.freebsd.org/~cem/eventhandler.1.patch
Comment 1 Conrad Meyer freebsd_committer 2019-05-19 22:10:47 UTC
I did a spot check of a few kmods (kmods are where I would expect issues to crop up):

audio/oss: ok
emulators/parallels-tools: ok
emulators/virtualbox-ose-kmod: ok
graphics/drm-current-kmod: ok
graphics/drm-legacy-kmod: ok
graphics/gpu-firmware-kmod: ok
multimedia/cuse4bsd-kmod: ok
net/dpdk: ok
net/glusterfs: unknown (conflicts with libevent on my system and I don't want to set up poudriere or uninstall everything that uses libevent)
net/intel-ixl-kmod: ok
net/nfs-ganesha-kmod: broken, but I think unrelated to my change.  No idea how conflicting structure and syscall definitions (i.e., sys_fhlink) are expected to compile.
x11/nvidia-driver: ok

So, I don't anticipate problems.
Comment 2 Antoine Brodin freebsd_committer 2019-05-20 05:35:43 UTC
The exp-run is in progress,  a full exp-run on head takes more than 72 hours
Comment 3 Conrad Meyer freebsd_committer 2019-05-20 08:03:30 UTC
Ah, I didn't realize someone had started a run already because I didn't see any sign of it.  Sorry about that.
Comment 6 Conrad Meyer freebsd_committer 2019-05-21 01:24:33 UTC
Thanks very much, Antoine.  I'll take a look at submitting patches for review by maintainers ASAP.
Comment 7 Conrad Meyer freebsd_committer 2019-05-21 01:55:52 UTC
dpdk: https://reviews.freebsd.org/D20329 , https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238010 (maintainer did not seem to have a Phabricator account).
Comment 8 Conrad Meyer freebsd_committer 2019-05-21 21:53:45 UTC
https://reviews.freebsd.org/D20341 for lsof
Comment 9 Conrad Meyer freebsd_committer 2019-05-22 05:13:21 UTC
nvidia-driver: https://reviews.freebsd.org/D20350